LINE 1対1チャット履歴取得
curl --request GET \
--url https://api.utage-system.com/v1/accounts/{account_id}/line/friends/{friend_id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.utage-system.com/v1/accounts/{account_id}/line/friends/{friend_id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.utage-system.com/v1/accounts/{account_id}/line/friends/{friend_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
],
"meta": {
"current_page": 123,
"per_page": 123,
"total": 123
}
}{
"error": {
"code": "unauthorized",
"message": "認証に失敗しました"
}
}{
"error": {
"code": "not_found",
"message": "リソースが見つかりません"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "リクエスト上限を超えました。しばらく時間を空けて再試行してください"
}
}LINE
LINE 1対1チャット履歴取得
プレビュー機能。仕様は今後変更される可能性があります。
LINE友だちとの送受信メッセージ履歴を取得します(送信日時の降順)。direction で送信・受信を絞り込めます。
送信メッセージは配信APIの line.messages[] と同じフィールド・構造で返ります。受信メッセージはtext/image/video/audio/file/sticker/postback/location等のタイプ別フィールドを持ちます。
LINE 1対1チャット履歴取得
GET
https://api.utage-system.com/v1/accounts/{account_id}/line/friends/{friend_id}/messages
この機能はプレビュー版です。仕様が変更される場合があります。
Authorizations
APIキーをBearerトークンとして指定
Query Parameters
送受信の絞り込み。sent: 送信のみ、received: 受信のみ、all: 全て(デフォルト)
Available options:
sent, received, all ページ番号
Required range:
x >= 11ページあたりの件数(既定20・最大100。超過時は100に丸められます)
Required range:
1 <= x <= 100⌘I